Skip to main content
PATCH
Reposition a category

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Category ID

Body

application/json
new_position
integer
required

0-based index among the new parent's children

new_parent_id
string

Prefixed ID of the new parent (omit for top level)

Response

200 - application/json

category repositioned

id
string
required
name
string
required
position
number
required
depth
number
required
meta_title
string | null
required
meta_description
string | null
required
meta_keywords
string | null
required
children_count
number
required
parent_id
string | null
required
description
string
required
description_html
string
required
image_url
string | null
required
square_image_url
string | null
required
is_root
boolean
required
is_child
boolean
required
is_leaf
boolean
required
metadata
object
required
pretty_name
string
required
lft
number
required
rgt
number
required
products_count
number
required
created_at
string
required
updated_at
string
required
parent
any
children
array
ancestors
array
custom_fields
object[]
translations
object